Lingxing
切换旧版

订单称重

POST/erp/sc/routing/wms/order/setOrderWeighed

接口信息

API Path请求协议请求方式令牌桶容量
/erp/sc/routing/wms/order/setOrderWeighedHTTPSPOST1

请求参数

order_numberstring
系统单号 与销售出库单二选一
wo_numberstring
销售出库单 与系统单号二选一
pkg_real_weightstring必填
重量
pkg_real_weight_unitstring必填
单位 支持 g,kg,oz,lb
sync_product_gross_weightstring
一单一件同步重量到产品模块 0:否,1:是 默认否

请求示例

curl --location 'https://openapi.lingxing.com/erp/sc/routing/wms/order/setOrderWeighed?access_token=&app_key=&sign=&timestamp=' \
--header 'Content-Type: application/json' \
--data '{
    "order_number": "103536668312138123",
    "pkg_real_weight": "123",
    "pkg_real_weight_unit": "g",
    "sync_product_gross_weight": "0"
}'

返回结果

codenumber必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
错误信息
request_idstring必填
请求链路id
示例 99C3E97E-821D-911A-CEA5-C9212020038F
response_timestring必填
响应时间
示例 2025-02-18 14:15:38
dataarray<any>必填
响应数据(空)
totalnumber必填
总数
示例 0

返回成功示例

{
    "code": 0,
    "message": "",
    "error_details": "",
    "request_id": "1D30B180-86C2-B50C-C26E-804FD2B3EE0F",
    "response_time": "2025-02-19 15:57:16",
    "data": [],
    "total": 0
}